Eclipse Platform Release 3.7

## org.eclipse.core.variables
Interface IValueVariableInitializer

    public interface IValueVariableInitializer

Value variable initializers compute an initial value for a value variable contributed by an extension, which is not defined with an initial value. This provides a mechanism for programmatically computing the initial value of a value variable.

Clients may implement this interface.

Since:
  3.0

Method Summary
`void` `initialize(IValueVariable variable)` Initializes the specified variable.

Method Detail

### initialize

    void initialize(IValueVariable variable)

  Initializes the specified variable.

  Parameters:
    `variable` - variable to initialize

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.